Method: projects.locations.aclPolicies.delete

Deletes a specific ACL policy. This action will delete the ACL policy and all the rules associated with it. An ACL policy cannot be deleted if it is attached to a cluster.

HTTP request

DELETE https://redis.googleapis.com/v1beta1/{name=projects/*/locations/*/aclPolicies/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Redis ACL policy resource name using the form: projects/{projectId}/locations/{locationId}/aclPolicies/{aclPolicyId} where locationId refers to a Google Cloud region.

Query parameters

Parameters
requestId

string

Optional. Idempotent request UUID.

etag

string

Optional. Etag of the ACL policy. If this is different from the server's etag, the request will fail with an ABORTED error.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/redis.read-write

For more information, see the Authentication Overview.